Documentation · API reference
POST
/api/v1/me/passwordPost password
This page as Markdown, or in an AI chatMore ways to read this page
# Post password
> tidekeeper's API reference: https://tidekeeper.eu/docs/api/post-me-password
`POST /api/v1/me/password`
## What to send
`PasswordChange`
- `current` (string)
- `new` (string, needed)
## The answer
204
## Asking
```sh
curl -X POST https://tidekeeper.eu/api/v1/me/password \
-H "Authorization: Bearer $TIDEKEEPER_TOKEN" \
-H "Content-Type: application/json" \
-d '{"new": "…"}'
```
What to send
PasswordChange
- current
- string
- new
- stringneeded
The answer
Status 204
Asking
curl -X POST https://tidekeeper.eu/api/v1/me/password \ -H "Authorization: Bearer $TIDEKEEPER_TOKEN" \ -H "Content-Type: application/json" \ -d '{"new": "…"}'
const answer = await fetch("https://tidekeeper.eu/api/v1/me/password", { method: "POST", headers: { Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`, "Content-Type": "application/json", }, body: JSON.stringify({"new": "…"}), }).then((r) => r.json());